(function () {
  if (window.__ADSAMEX_LOADED__) return;
  window.__ADSAMEX_LOADED__ = true;

  const s = document.createElement("script");
  s.src = chrome.runtime.getURL("inject/injector.js");
  s.onload = () => s.remove();
  (document.head || document.documentElement).appendChild(s);
})();
